// ----------- auto height fixing -----------

 (function($){

    function fixButtonHeights() {
        var heights = new Array();

        // Loop to get all element heights
        $('.gs_course_slider_1 .gs-course-name').each(function() {
            // Need to let sizes be whatever they want so no overflow on resize
            $(this).css('min-height', '0');
            $(this).css('max-height', 'none');
            $(this).css('height', 'auto');

            // Then add size (no units) to array
             heights.push($(this).height());
        });

        // Find max height of all elements
        var max = Math.max.apply( Math, heights );

        // Set all heights to max height
        $('.gs_course_slider_1 .gs-course-name').each(function() {
            $(this).css('height', max + 'px');
            // Note: IF box-sizing is border-box, would need to manually add border and padding to height (or tallest element will overflow by amount of vertical border + vertical padding)
        });
    }

    // Portfolio Isotop
    function courseFilter() {
        var gscourseArea = $('.gs_courses_area.gs_course_filter_1');

        if ( gscourseArea.length > 0 ) {

            gscourseArea.each(function(){

                var $this = $(this);

                var courseIsotop = $this.find('.gs-all-items-filter-wrapper');

                // init Isotope
                var filterValue = '*';

                var portfolioMsnry = courseIsotop.isotope({
                    itemSelector: '.gs-filter-single-item',
                    layoutMode: 'fitRows',
                    transitionDuration: '.6s',
                    hiddenStyle: {
                        opacity: 0,
                        transform: "scale(.85)"
                    },
                    visibleStyle: {
                        opacity: 1,
                        transform: "scale(1)"
                    }
                });

                $this.find('.gs-course-filter-cats .filter').on( 'click', function(e) {

                    e.preventDefault();

                    if ( $(this).hasClass('active') ) {
                        return false;
                    } else {
                        $(this).addClass('active').siblings('li').removeClass('active');
                    }

                    var $this = $(this);
                    var filterValue = $this.data('filter');

                    if ( filterValue == 'all' ) {
                        filterValue = '*';
                    }

                    // set filter for Isotope
                    portfolioMsnry.isotope({ filter: filterValue });

                    return $(this);
                });

            });

        }
    }

    $(window).load(function() {
        // Fix heights on page load
        fixButtonHeights();

        // Run the portfolio filter
        courseFilter();

    });

    $(window).resize(function() {
        // Needs to be a timeout function so it doesn't fire every ms of resize
        var handler = setTimeout(function() {
            // Celar the timeout function
              clearTimeout(handler);

            // Fix heights on window resize
              fixButtonHeights();
        }, 120);
    });
})(jQuery);