<?php

// -- Include css,js files for Front-End
if ( ! function_exists('gs_courses_enqueue_front_scripts') ) {
    function gs_courses_enqueue_front_scripts() {
        if (!is_admin()) {
            $media = 'all';

            wp_register_script('gscourse-js', GSCOURSES_FILES_URI . '/assets/js/gscourses_custom.js', array('jquery'), GSCOURSES_VERSION , true);
            wp_enqueue_script('gscourse-js');

            wp_register_script('course-isotop-js', GSCOURSES_FILES_URI . '/assets/js/isotope.pkgd.min.js','', GSCOURSES_VERSION , $media );
            wp_enqueue_script('course-isotop-js');

            wp_register_script('owlcarousel-js', GSCOURSES_FILES_URI . '/assets/js/owl.carousel.min.js','', GSCOURSES_VERSION , $media );
            wp_enqueue_script('owlcarousel-js');

            wp_register_script('magnific-popup-js', GSCOURSES_FILES_URI . '/assets/js/jquery.magnific-popup.min.js','', GSCOURSES_VERSION , $media );
            wp_enqueue_script('magnific-popup-js');

            wp_register_style('magnific-css', GSCOURSES_FILES_URI . '/assets/css/magnific-popup.css','', GSCOURSES_VERSION , $media );
            wp_enqueue_style('magnific-css');

            wp_register_style('owlcarousel-css', GSCOURSES_FILES_URI . '/assets/css/owl.carousel.css','', GSCOURSES_VERSION , $media );
            wp_enqueue_style('owlcarousel-css');

            wp_register_style('owlcarousel-theme-css', GSCOURSES_FILES_URI . '/assets/css/owl.theme.default.css','', GSCOURSES_VERSION , $media );
            wp_enqueue_style('owlcarousel-theme-css');

            wp_register_style('bootstrap-css', GSCOURSES_FILES_URI . '/assets/css/gscourses_custom_bootstrap.css','', GSCOURSES_VERSION , $media );
            wp_enqueue_style('bootstrap-css');

            wp_register_style('fa-css', GSCOURSES_FILES_URI . '/assets/fa-icons/css/font-awesome.min.css','', GSCOURSES_VERSION , $media );
            wp_enqueue_style('fa-css');

            wp_register_style('gscourse-custom-css', GSCOURSES_FILES_URI . '/assets/css/gscourses_custom.css','', GSCOURSES_VERSION , $media );
            wp_enqueue_style('gscourse-custom-css');

            wp_enqueue_style('dashicons');
        }
    }
    add_action( 'wp_enqueue_scripts', 'gs_courses_enqueue_front_scripts' );
}

// -- Include css,js files for Back-End (Dashboard)
if ( !function_exists('gs_courses_enqueue_admin_styles') ) {
    function gs_courses_enqueue_admin_styles() {
        $media = 'all';
        wp_register_style('gscourse_switchButton_css', GSCOURSES_FILES_URI . '/admin/css/gscourse.jquery.switchButton.css','', GSCOURSES_VERSION);
        wp_enqueue_style('gscourse_switchButton_css');

        wp_register_style('gscourse_admin_css', GSCOURSES_FILES_URI . '/admin/css/gscourses_admin.css','', GSCOURSES_VERSION);
        wp_enqueue_style('gscourse_admin_css');

        wp_enqueue_script('jquery-ui-core');
        wp_enqueue_script('jquery-ui-widget');
        wp_enqueue_script('jquery-effects-core');

        wp_register_script( 'gs_course_SwitchButtonJs', GSCOURSES_FILES_URI . '/admin/js/gscourse.jquery.switchButton.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-widget', 'jquery-effects-core' ), GSCOURSES_VERSION, false );
        wp_enqueue_script('gs_course_SwitchButtonJs');

        wp_enqueue_style('course-admin-jquery-ui-css', '//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css', '', GSCOURSES_VERSION ); 
        wp_enqueue_script('course-admin-custom-js', GSCOURSES_FILES_URI . '/admin/js/course_admin_custom.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-datepicker' ), GSCOURSES_VERSION,  true );
    }
    add_action( 'admin_enqueue_scripts', 'gs_courses_enqueue_admin_styles' );
}

// -- course Custom CSS
if ( !function_exists('gs_course_custom_style')) {
    function gs_course_custom_style() {

        $gs_courses_custom_css = gs_courses_getoption('gs_course_custom_css', 'gs_courses_style_settings', '');

        if( isset($gs_courses_custom_css) && !empty($gs_courses_custom_css) ){
            ?>
                <style type="text/css">
                    <?php echo $gs_courses_custom_css;?>
                </style>
            <?php
        }
    }
   add_action( 'gs_course_custom_css','gs_course_custom_style' );
}