<?php
// ============== Displaying Additional Columns ===============

if ( ! function_exists('gs_courses_screen_columns') ) {
    add_filter( 'manage_edit-gs_courses_columns', 'gs_courses_screen_columns' );

    function gs_courses_screen_columns( $columns ) {
        unset( $columns['date'] );
        $columns['title'] = 'Courses Name';
        $columns['taxonomy-courses_group'] = 'Courses Category';
        $columns['gscourses_featured_image'] = 'Courses Image';
        $columns['_gscourse_coachname'] = 'Coach Name';
        $columns['date'] = 'Date';
        return $columns;
    }
}

// GET FEATURED IMAGE
if ( ! function_exists('gs_courses_featured_image') ) {
    function gs_courses_featured_image($post_ID) {
        $post_thumbnail_id = get_post_thumbnail_id($post_ID);
        if ($post_thumbnail_id) {
            $post_thumbnail_img = wp_get_attachment_image_src($post_thumbnail_id);
            return $post_thumbnail_img[0];
        }
    }
}

if ( ! function_exists('gs_courses_columns_content') ) {
    add_action('manage_posts_custom_column', 'gs_courses_columns_content', 10, 2);
    // SHOW THE FEATURED IMAGE
    function gs_courses_columns_content($column_name, $post_ID) {
        if ($column_name == 'gscourses_featured_image') {
            $post_featured_image = gs_courses_featured_image($post_ID);
            if ($post_featured_image) {
                echo '<img src="' . $post_featured_image . '" width="34"/>';
            }
        }
    }
}

//Populating the Columns
if ( ! function_exists('gs_courses_populate_columns') ) {

    add_action( 'manage_posts_custom_column', 'gs_courses_populate_columns' );

    function gs_courses_populate_columns( $column ) {
        if ( '_gscourse_coachname' == $column ) {
            $course_coachname = get_post_meta( get_the_ID(), '_gscourse_coachname', true );
            echo $course_coachname;
        }
    }
}

// Columns as Sortable
if ( ! function_exists('gs_courses_sort') ) {
    add_filter( 'manage_edit-gs_courses_sortable_columns', 'gs_courses_sort' );

    function gs_courses_sort( $columns ) {
        $columns['taxonomy-courses_group'] = 'taxonomy-courses_group';
        return $columns;
    }
}

// Columns as Sortable
if ( ! function_exists('gs_courses_sort1') ) {
    add_filter( 'manage_edit-gs_courses_sortable_columns', 'gs_courses_sort1' );

    function gs_courses_sort1( $columns ) {
        $columns['_gscourse_coachname'] = '_gscourse_coachname';
        return $columns;
    }
}