<?php

if ( ! function_exists('add_gs_courses_metaboxes') ) {
    function add_gs_courses_metaboxes(){
        add_meta_box('gsCoursesSection', 'Course\'s Additioinal Info' ,'gs_courses_cmb_cb', 'gs_courses', 'normal', 'high');
    }
    add_action('add_meta_boxes', 'add_gs_courses_metaboxes');
}

/**
 * Prints the box content.
 *
 * @param WP_Post $post The object for the current post/page.
 */
if ( ! function_exists('gs_courses_cmb_cb') ) {
    function gs_courses_cmb_cb($post){

        // Add a nonce field so we can check for it later.
        wp_nonce_field( 'gs_courses_nonce_name', 'gs_courses_cmb_token' );

        /*
         * Use get_post_meta() to retrieve an existing value
         * from the database and use the value for the form.
         */
        // course info
        $gscourse_meta_subject = get_post_meta( $post->ID, '_gscourse_subject', true );
        $gscourse_meta_duration = get_post_meta( $post->ID, '_gscourse_duration', true );
        $gscourse_meta_level = get_post_meta( $post->ID, '_gscourse_level', true );
        $gscourse_meta_totalvideo = get_post_meta( $post->ID, '_gscourse_totalvideo', true );
        $gscourse_meta_totallecture = get_post_meta( $post->ID, '_gscourse_totallecture', true );
        $gscourse_meta_coachname = get_post_meta( $post->ID, '_gscourse_coachname', true );
        $gscourse_meta_coachprof = get_post_meta( $post->ID, '_gscourse_coachprof', true );
        $gscourse_meta_coachlink = get_post_meta( $post->ID, '_gscourse_coachlink', true );
        $gscourse_meta_fee = get_post_meta( $post->ID, '_gscourse_fee', true );
        $gscourse_meta_coverage = get_post_meta( $post->ID, '_gscourse_coverage', true );
        $gscourse_meta_learn = get_post_meta( $post->ID, '_gscourse_learn', true );
        $gscourse_meta_career = get_post_meta( $post->ID, '_gscourse_career', true );
        $gscourse_meta_material = get_post_meta( $post->ID, '_gscourse_material', true );
        $gscourse_meta_whom = get_post_meta( $post->ID, '_gscourse_whom', true );
        $gscourse_meta_requir = get_post_meta( $post->ID, '_gscourse_requir', true );
        $gscourse_meta_certificate = get_post_meta( $post->ID, '_gscourse_certificate', true );
        $gscourse_meta_shedule = get_post_meta( $post->ID, '_gscourse_shedule', true );
        $gscourse_meta_enrollstd = get_post_meta( $post->ID, '_gscourse_enrollstd', true );
        $gscourse_meta_rating = get_post_meta( $post->ID, '_gscourse_rating', true );
        $gscourse_meta_admitlink = get_post_meta( $post->ID, '_gscourse_admitlink', true );

        ?>
        <div class="gs-courses-metafields">
            <div style="height: 20px;"></div>

            <div class="form-group">
                <label for="gscourseSubject">Subject</label>
                <input type="text" id="gscourseSubject" class="form-control" name="gscourse_subject" value="<?php echo isset($gscourse_meta_subject) ? esc_attr($gscourse_meta_subject) : ''; ?>">
            </div>
            <div class="form-group">
                <label for="gscourseDuration">Duration</label>
                <input type="text" id="gscourseDuration" class="form-control" name="gscourse_duration" value="<?php echo isset($gscourse_meta_duration) ? esc_attr($gscourse_meta_duration) : ''; ?>">
            </div>
            <div class="form-group">
                <label for="gscourseShedule">Schedule</label>
                <input type="text" id="gscourseShedule" class="form-control" name="gscourse_shedule" value="<?php echo isset($gscourse_meta_shedule) ? esc_attr($gscourse_meta_shedule) : ''; ?>">
            </div>
            <div class="form-group">
                <label for="gscourseLevel">Course Level</label>
                <input type="text" id="gscourseLevel" class="form-control" name="gscourse_level" value="<?php echo isset($gscourse_meta_level) ? esc_attr($gscourse_meta_level) : ''; ?>">
            </div>
            <div class="form-group">
                <label for="gscourseTotalvideo">Total Video Duration (HH:MM:SS)</label>
                <input type="text" id="gscourseTotalvideo" class="form-control" name="gscourse_totalvideo" value="<?php echo isset($gscourse_meta_totalvideo) ? esc_attr($gscourse_meta_totalvideo) : ''; ?>">
            </div>
            <div class="form-group">
                <label for="gscourseTotallecture">Total Lecture</label>
                <input type="text" id="gscourseTotallecture" class="form-control" name="gscourse_totallecture" value="<?php echo isset($gscourse_meta_totallecture) ? esc_attr($gscourse_meta_totallecture) : ''; ?>">
            </div>

            <div class="form-group">
                <label for="gscourseCoachname">Coach Name</label>
                <input type="text" id="gscourseCoachname" class="form-control" name="gscourse_coachname" value="<?php echo isset($gscourse_meta_coachname) ? esc_attr($gscourse_meta_coachname) : ''; ?>">
            </div>
            <div class="form-group">
                <label for="gscourseCoachprof">Coach Profession</label>
                <input type="text" id="gscourseCoachprof" class="form-control" name="gscourse_coachprof" value="<?php echo isset($gscourse_meta_coachprof) ? esc_attr($gscourse_meta_coachprof) : ''; ?>">
            </div>
            
            <p>Example: http://coach.gsamdani.com/coach/joseph-c-roush</p>
            <div class="form-group">
                <label for="gscourseCoachlink">Coach Link</label>
                <input type="text" id="gscourseCoachlink" class="form-control" name="gscourse_coachlink" value="<?php echo isset($gscourse_meta_coachlink) ? esc_attr($gscourse_meta_coachlink) : ''; ?>">
            </div>
             <div class="form-group">
                <label for="gscourseFee">Course Fee ($500 e.c.)</label>
                <input type="text" id="gscourseFee" class="form-control" name="gscourse_fee" value="<?php echo isset($gscourse_meta_fee) ? esc_attr($gscourse_meta_fee) : ''; ?>">
            </div>
            <div class="form-group">
                <label for="gscourseCoverage">Coverage</label>
                <textarea type="text" rows="5" cols="40" id="gscourseCoverage" class="form-control" name="gscourse_coverage"><?php echo isset($gscourse_meta_coverage) ? esc_attr($gscourse_meta_coverage) : ''; ?></textarea>
            </div>
            <div class="form-group">
                <label for="gscourseLearn">Key Learning Outcomes and Skills</label>
                <textarea type="text" rows="5" cols="40" id="gscourseLearn" class="form-control" name="gscourse_learn"><?php echo isset($gscourse_meta_learn) ? esc_attr($gscourse_meta_learn) : ''; ?></textarea>
            </div>
            <div class="form-group">
                <label for="gscourseCareer">Career Pathway</label>
                <textarea type="text" rows="3" cols="40" id="gscourseCareer" class="form-control" name="gscourse_career"><?php echo isset($gscourse_meta_career) ? esc_attr($gscourse_meta_career) : ''; ?></textarea>

            </div>
            <div class="form-group">
                <label for="gscourseMaterial">Course Material</label>
                <input type="text" id="gscourseMaterial" class="form-control" name="gscourse_material" value="<?php echo isset($gscourse_meta_material) ? esc_attr($gscourse_meta_material) : ''; ?>">
            </div>
            <div class="form-group">
                <label for="gscourseWhom">For Whom</label>
                <textarea type="text" rows="5" cols="40" id="gscourseWhom" class="form-control" name="gscourse_whom"><?php echo isset($gscourse_meta_whom) ? esc_attr($gscourse_meta_whom) : ''; ?></textarea>
            </div>
            <div class="form-group">
                <label for="gscourseRequir">Entry Requirements</label>
                <textarea type="text" rows="5" cols="40" id="gscourseRequir" class="form-control" name="gscourse_requir"><?php echo isset($gscourse_meta_requir) ? esc_attr($gscourse_meta_requir) : ''; ?></textarea>
            </div>
            <div class="form-group">
                <label for="gscourseCertificate">Certification</label>
                <input type="text" id="gscourseCertificate" class="form-control" name="gscourse_certificate" value="<?php echo isset($gscourse_meta_certificate) ? esc_attr($gscourse_meta_certificate) : ''; ?>">
            </div>
            <div class="form-group">
                <label for="gscourseEnrollstd">Enrolled Student</label>
                <input type="text" id="gscourseEnrollstd" class="form-control" name="gscourse_enrollstd" value="<?php echo isset($gscourse_meta_enrollstd) ? esc_attr($gscourse_meta_enrollstd) : ''; ?>">
            </div>
            <div class="form-group">
                <label for="gscourseRating">Rating</label>
                <input type="text" id="gscourseRating" class="form-control" name="gscourse_rating" value="<?php echo isset($gscourse_meta_rating) ? esc_attr($gscourse_meta_rating) : ''; ?>">
            </div>
            <p>Example: https://www.gsamdani.com OR http://www.example.com etc</p>
            <div class="form-group">
                <label for="gscourseAdmitlink">Admit Link</label>
                <input type="text" id="gscourseAdmitlink" class="form-control" name="gscourse_admitlink" value="<?php echo isset($gscourse_meta_admitlink) ? esc_attr($gscourse_meta_admitlink) : ''; ?>">
            </div>
        </div>

        <?php
    }
}


/**
 * When the post is saved, saves our custom data.
 *
 * @param int $post_id The ID of the post being saved.
 */

if ( ! function_exists('save_gs_courses_metadata') ) {

    function save_gs_courses_metadata($post_id) {

        /*
         * We need to verify this came from our screen and with proper authorization,
         * because the save_post action can be triggered at other times.
         */

        // Check if our nonce is set.
        if ( ! isset( $_POST['gs_courses_cmb_token'] ) ) {
            return;
        }

        // Verify that the nonce is valid.
        if ( ! wp_verify_nonce( $_POST['gs_courses_cmb_token'], 'gs_courses_nonce_name' ) ) {
            return;
        }

        // If this is an autosave, our form has not been submitted, so we don't want to do anything.
        if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
            return;
        }

        // Check the user's permissions.
        if ( isset( $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {

            if ( ! current_user_can( 'edit_page', $post_id ) ) {
                return;
            }

        } else {

            if ( ! current_user_can( 'edit_post', $post_id ) ) {
                return;
            }
        }

        /* OK, it's safe for us to save the data now. */

        // Make sure that it is set.
        if ( ! isset( $_POST['gscourse_subject'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_duration'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_level'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_totalvideo'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_totallecture'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_coachname'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_coachprof'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_coachlink'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_fee'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_coverage'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_learn'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_career'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_material'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_whom'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_requir'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_certificate'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_shedule'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_enrollstd'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_rating'] ) ) { return; }
        if ( ! isset( $_POST['gscourse_admitlink'] ) ) { return; }

        // Sanitize user input.

        $gscourse_subject_data = sanitize_text_field( $_POST['gscourse_subject'] );
        $gscourse_duration_data = sanitize_text_field( $_POST['gscourse_duration'] );
        $gscourse_level_data = sanitize_text_field( $_POST['gscourse_level'] );
        $gscourse_totalvideo_data = sanitize_text_field( $_POST['gscourse_totalvideo'] );
        $gscourse_totallecture_data = sanitize_text_field( $_POST['gscourse_totallecture'] );
        $gscourse_coachname_data = sanitize_text_field( $_POST['gscourse_coachname'] );
        $gscourse_coachprof_data = sanitize_text_field( $_POST['gscourse_coachprof'] );
        $gscourse_coachlink_data = sanitize_text_field( $_POST['gscourse_coachlink'] );
        $gscourse_fee_data = sanitize_text_field( $_POST['gscourse_fee'] );
        $gscourse_coverage_data = sanitize_text_field( $_POST['gscourse_coverage'] );
        $gscourse_learn_data = sanitize_text_field( $_POST['gscourse_learn'] );
        $gscourse_career_data = sanitize_text_field( $_POST['gscourse_career'] );
        $gscourse_material_data = sanitize_text_field( $_POST['gscourse_material'] );
        $gscourse_whom_data = sanitize_text_field( $_POST['gscourse_whom'] );
        $gscourse_requir_data = sanitize_text_field( $_POST['gscourse_requir'] );
        $gscourse_certificate_data = sanitize_text_field( $_POST['gscourse_certificate'] );
        $gscourse_shedule_data = sanitize_text_field( $_POST['gscourse_shedule'] );
        $gscourse_enrollstd_data = sanitize_text_field( $_POST['gscourse_enrollstd'] );
        $gscourse_rating_data = sanitize_text_field( $_POST['gscourse_rating'] );
        $gscourse_admitlink_data = sanitize_text_field( $_POST['gscourse_admitlink'] );

        // Update the meta field in the database.
        update_post_meta( $post_id, '_gscourse_subject', $gscourse_subject_data );
        update_post_meta( $post_id, '_gscourse_duration', $gscourse_duration_data );
        update_post_meta( $post_id, '_gscourse_level', $gscourse_level_data );
        update_post_meta( $post_id, '_gscourse_totalvideo', $gscourse_totalvideo_data );
        update_post_meta( $post_id, '_gscourse_totallecture', $gscourse_totallecture_data );
        update_post_meta( $post_id, '_gscourse_coachname', $gscourse_coachname_data );
        update_post_meta( $post_id, '_gscourse_coachprof', $gscourse_coachprof_data );
        update_post_meta( $post_id, '_gscourse_coachlink', $gscourse_coachlink_data );
        update_post_meta( $post_id, '_gscourse_fee', $gscourse_fee_data );
        update_post_meta( $post_id, '_gscourse_coverage', $gscourse_coverage_data );
        update_post_meta( $post_id, '_gscourse_learn', $gscourse_learn_data );
        update_post_meta( $post_id, '_gscourse_career', $gscourse_career_data );
        update_post_meta( $post_id, '_gscourse_material', $gscourse_material_data );
        update_post_meta( $post_id, '_gscourse_whom', $gscourse_whom_data );
        update_post_meta( $post_id, '_gscourse_requir', $gscourse_requir_data );
        update_post_meta( $post_id, '_gscourse_certificate', $gscourse_certificate_data );
        update_post_meta( $post_id, '_gscourse_shedule', $gscourse_shedule_data );
        update_post_meta( $post_id, '_gscourse_enrollstd', $gscourse_enrollstd_data );
        update_post_meta( $post_id, '_gscourse_rating', $gscourse_rating_data );
        update_post_meta( $post_id, '_gscourse_admitlink', $gscourse_admitlink_data );
    }
    add_action( 'save_post', 'save_gs_courses_metadata');
}