<?php

// -- Getting values from setting panel
function gs_courses_getoption( $option, $section, $default = '' ) {
    $options = get_option( $section );
    if ( isset( $options[$option] ) ) {
        return $options[$option];
    }
    return $default;
}

//-- Shortcode [gs_courses]
//-- shortcode with theme: [gs_courses theme="gs_course_grid_1" cols="6"]

add_shortcode('gs_courses','gs_courses_shortcode');

function gs_courses_shortcode( $atts ) {
    $gscourse_op_courses_cols           = gs_courses_getoption('gs_courses_cols', 'gs_courses_option_01_settings', 3);
    $gscourse_op_courses_theme          = gs_courses_getoption('gs_courses_theme', 'gs_courses_option_01_settings', 'gs_course_grid_1');
    $gscourse_op_course_title           = gs_courses_getoption('gs_course_title', 'gs_courses_option_02_settings', 'on');
    $gscourse_op_course_details         = gs_courses_getoption('gs_course_details', 'gs_courses_option_02_settings', 'on');
    $gscourse_op_course_link_tar        = gs_courses_getoption('gs_course_link_tar', 'gs_courses_option_01_settings', '_blank');
    $gscourse_op_course_details_contl   = gs_courses_getoption('gs_course_details_contl', 'gs_courses_option_01_settings', 100);
    //meta data
    $gscourse_op_rating            = gs_courses_getoption('gs_course_rating', 'gs_courses_option_02_settings', 'on');

    extract(shortcode_atts(
        array(
        'num'           => -1,
        'order'         => 'DESC',
        'orderby'       => 'date',
        'theme'         => $gscourse_op_courses_theme,
        'cols'          => $gscourse_op_courses_cols,
        'desc_limit'    => $gscourse_op_course_details_contl,
        'group'         => '',
        'cats_name'     => ''
        ), $atts
    ));

    $GLOBALS['gs_courses_loop'] = new WP_Query(
        array(
        'post_type'        => 'gs_courses',
        'order'            => $order,
        'orderby'          => $orderby,
        'posts_per_page'   => $num,
        'courses_group'    => $group
    ));

        $output = '';
        $output = '<div class="wrap gs_courses_area '.$theme.'">';

        if ( $theme == 'gs_course_grid_1') {
            include GSCOURSES_FILES_DIR . '/includes/templates/gs_courses_theme1_grid1.php';
        }
        if ( $theme == 'gs_course_horizontal_1') {
            include GSCOURSES_FILES_DIR . '/includes/templates/gs_courses_theme3_horizontal1.php';
        }
        if ( $theme == 'gs_course_horizontal_2') {
            include GSCOURSES_FILES_DIR . '/includes/templates/gs_courses_theme4_horizontal2.php';
        }
        if ( $theme == 'gs_course_list_1') {
            include GSCOURSES_FILES_DIR . '/includes/templates/gs_courses_theme5_list1.php';
        }
        if ( $theme == 'gs_course_list_2') {
            include GSCOURSES_FILES_DIR . '/includes/templates/gs_courses_theme6_list2.php';
        }
        if ( $theme == 'gs_course_card_1') {
            include GSCOURSES_FILES_DIR . '/includes/templates/gs_courses_theme7_card1.php';
        }
        if ( $theme == 'gs_course_slider_1') {
            include GSCOURSES_FILES_DIR . '/includes/templates/gs_courses_theme8_slider1.php';
        }
        if ( $theme == 'gs_course_popup_1') {
            include GSCOURSES_FILES_DIR . '/includes/templates/gs_courses_theme9_popup.php';
        }
        if ( $theme == 'gs_course_filter_1') {
            include GSCOURSES_FILES_DIR . '/includes/templates/gs_courses_theme10_filter.php';
        }
        $output .= '</div>'; // end wrap
    return $output;
}

// -- CSS values
if ( !function_exists( 'gs_courses_setting_styles' )) {
    function gs_courses_setting_styles() {
        $gscourse_course_fz          = gs_courses_getoption('gs_course_fz', 'gs_courses_style_settings', 17);
        $gscourse_course_fntw        = gs_courses_getoption('gs_course_fntw', 'gs_courses_style_settings', 'normal');
        $gscourse_course_fnstyl      = gs_courses_getoption('gs_course_fnstyl', 'gs_courses_style_settings', 'normal');
        $gscourse_course_name_color  = gs_courses_getoption('gs_course_name_color', 'gs_courses_style_settings', '#141412');
        $gscourse_course_label_fz    = gs_courses_getoption('gs_course_label_fz', 'gs_courses_style_settings', 18);
        $gscourse_course_label_color = gs_courses_getoption('gs_course_label_color', 'gs_courses_style_settings', '#0BF');
        $gscourse_course_filter_align = gs_courses_getoption('gs_course_filter_align', 'gs_courses_style_settings', 'center');

    ?>
    <style>
        .gs_course_grid_1 .gs-course-name,
        .gs_course_grid_1 .gs-course-name a,
        .gs_course_card_1 .gs-course-name,
        .gs_course_card_1 .gs-course-name a,
        .gs_course_horizontal_1 .gs-course-name,
        .gs_course_horizontal_1 .gs-course-name a,
        .gs_course_horizontal_2 .gs-course-name ,
        .gs_course_horizontal_2 .gs-course-name a,
        .gs_course_list_1 .gs-course-name,
        .gs_course_list_1 .gs-course-name a,
        .gs_course_list_2 .gs-course-name,
        .gs_course_list_2 .gs-course-name a,
        .gs_course_slider_1 .gs-course-name,
        .gs_course_slider_1 .gs-course-name a,
        .gs_course_popup_details .gs-course-name,
        .course-popup-layer .gs-course-name,
        .course-popup-layer .gs-course-name a,
        .gs-archive-course-container .gs-course-name a {
            font-size: <?php echo $gscourse_course_fz;?>px;
            font-weight: <?php echo $gscourse_course_fntw; ?>;
            font-style: <?php echo $gscourse_course_fnstyl; ?>;
            color: <?php echo $gscourse_course_name_color; ?>;
        }

        .course-label {
            font-size: <?php echo $gscourse_course_label_fz;?>px;
            color: <?php echo $gscourse_course_label_color; ?>;
        }
        .gs-course-filter-cats{
            text-align:<?php echo $gscourse_course_filter_align; ?>;
        }
    </style>
    <?php
    }
}
add_action('wp_head', 'gs_courses_setting_styles' );


// -- OWL Carousel
if (!function_exists('gs_courses_slider_trigger')) {

    function gs_courses_slider_trigger(){ ?>
        <script type="text/javascript">
            jQuery.noConflict();
            jQuery(document).ready(function(){

            jQuery('.course-slider').owlCarousel({
                autoplay: true,
                autoplayHoverPause: true,
                loop: true,
                margin: 10,
                autoplaySpeed: 1000,
                autoplayTimeout: 2500,
                navSpeed: 1000,
                dots: true,
                // dotsEach: true,
                responsiveClass:true,
                lazyLoad: true,
                responsive:{
                    0:{
                        items:1,
                        nav:false
                    },
                    533:{
                        items:2,
                        nav:false
                    },
                    768:{
                        items:3,
                        nav:false
                    },
                    1000:{
                        items:3,
                        nav:true
                    }
                }
            }) // end of owlCarousel latest product
            });
        </script>
    <?php
    }
    add_action('wp_head', 'gs_courses_slider_trigger' );
}

// -- Magnific Popup
if ( !function_exists('gs_courses_magnific_popup')) {
    function gs_courses_magnific_popup(){ ?>
        <script type="text/javascript">
            jQuery.noConflict();
            jQuery(document).ready(function(){

                jQuery('.single-course-pop-base').magnificPopup({
                    type:'inline',
                    midClick: false,
                    gallery:{
                        enabled:true
                    },
                    delegate: 'a.popup-link',
                    removalDelay: 500, //delay removal by X to allow out-animation
                    callbacks: {
                        beforeOpen: function() {
                           this.st.mainClass = this.st.el.attr('data-effect');
                        }
                    },
                        closeOnContentClick: false,
                });
            });
        </script>
    <?php
    }
    add_action( 'wp_footer','gs_courses_magnific_popup' );
}


// -- Shortcode for widget [gs_courses_sidebar]

add_shortcode('gs_courses_sidebar','gs_courses_sidebar_shortcode');

function gs_courses_sidebar_shortcode( $atts ) {

    extract(shortcode_atts(
        array(
        'num_course'   => -1,
        'group_course'  => ''
        ), $atts
    ));

    $gscourse_courses_loop_side = new WP_Query(
        array(
        'post_type'         => 'gs_courses',
        'order'             => 'DESC',
        'orderby'           => 'date',
        'posts_per_page'    => $num_course,
        'courses_group'     => $group_course
    ));

    $output = '';

        if ( $gscourse_courses_loop_side->have_posts() ) {
            while ( $gscourse_courses_loop_side->have_posts() ) {
                $gscourse_courses_loop_side->the_post();
                $gscourse_post_id       = get_the_id();
                $gscourse_course_id      = get_post_thumbnail_id();
                $gscourse_course_url     = wp_get_attachment_image_src($gscourse_course_id, 'full', true);
                $gscourse_course_thumb   = $gscourse_course_url[0];
                $gscourse_course_alt     = get_post_meta($gscourse_course_id,'_wp_attachment_image_alt',true);
                $gscourse_course_title           = get_the_title();
                $gscourse_course_details         = get_the_content();
                $gscourse_course_details_link    = get_the_permalink();
                $gscourse_course_meta            = get_post_meta( get_the_id() );

                $gscourse_st_subject        = !empty($gscourse_course_meta['_gscourse_subject'][0]) ? $gscourse_course_meta['_gscourse_subject'][0] : '';
                $gscourse_st_coachname      = !empty($gscourse_course_meta['_gscourse_coachname'][0]) ? $gscourse_course_meta['_gscourse_coachname'][0] : '';
                $gscourse_st_fee            = !empty($gscourse_course_meta['_gscourse_fee'][0]) ? $gscourse_course_meta['_gscourse_fee'][0] : '';
                $gscourse_st_enrollstd      = !empty($gscourse_course_meta['_gscourse_enrollstd'][0]) ? $gscourse_course_meta['_gscourse_enrollstd'][0] : '';
                $gscourse_st_rating         = !empty($gscourse_course_meta['_gscourse_rating'][0]) ? $gscourse_course_meta['_gscourse_rating'][0] : '';

                $gscourse_op_course_title   = gs_courses_getoption('gs_course_title', 'gs_courses_settings', 'on');
                $gscourse_op_rating         = gs_courses_getoption('gs_course_rating', 'gs_courses_settings', 'on');

                    $output .= '<div class="gs-course-widget">'; // start single project
                        $output .= '<a href="'. $gscourse_course_details_link .'">';
                            if ( has_post_thumbnail() )
                                $output .= '<img src="'. $gscourse_course_thumb .'" alt="'. $gscourse_course_alt .'" />';
                            else {
                                $output .= '<img src="' . GSCOURSES_FILES_URI . '/assets/img/no_img.png" class=""/>';
                            }
                        $output .= '</a>';
                        $output .= '<div class="gs-widgets-info">';
                            if ( !empty( $gscourse_st_subject )) :
                                    $output .='<span class="gs-course-coachname" >'. $gscourse_st_subject .'</span>';
                                endif;
                            if ( !empty( $gscourse_st_rating ) && 'on' ==  $gscourse_op_rating ) :
                                $star_args = array(
                                    'rating'    => $gscourse_st_rating,
                                    'type'      => 'rating',
                                    'number'    => 0,
                                    'echo'      => false,
                                );
                                $output.= '<div class="gs-course-rating">'. wp_star_rating( $star_args ) .'</div>';
                            endif;
                            if ( !empty( $gscourse_st_fee )) :
                                $output .='<div class="course-info-fee" >'. $gscourse_st_fee .'</div>';
                            endif;

                        $output .= '</div>';// end gs-widgets-info
                    $output .= '</div>'; // end single project

            } // end while loop
            do_action('gs_course_custom_css');
        } // if loop end
        else { $output .= "No course Added!";  }

    wp_reset_postdata();

    return $output;
}