<?php
/**
 *
 * @package   GS_Course
 * @author    Golam Samdani <samdani1997@gmail.com>
 * @license   GPL-2.0+
 * @link      http://www.gsamdani.com
 * @copyright 2016 Golam Samdani
 *
 * @wordpress-plugin
 * Plugin Name:           GS Course Pro
 * Plugin URI:            https://www.gsamdani.com/wordpress-plugins
 * Description:           Best Responsive WordPress Course Plugin to display Courses elegantly. Using GS Course plugin you can present course details like Duration, Schedule, Video length, Lecture & many other course info. Display anywhere at your site using the shortcode like [gs_courses theme="gs_course_grid_1"] & widgets. GS Course plugin packed with necessary controlling options & 9 different themes to present courses elegantly with eye catching effects. Check details shortcode examples and documentation at <a href="http://course.gsamdani.com">GS Courses PRO Demos & Docs</a>
 * Version:               2.0.2
 * Author:                Golam Samdani
 * Author URI:            https://www.gsamdani.com
 * Text Domain:           gscourses
 * License:               GPL-2.0+
 * License URI:           http://www.gnu.org/licenses/gpl-2.0.txt
 */


if( ! defined( 'GSCOURSES_HACK_MSG' ) ) define( 'GSCOURSES_HACK_MSG', __( 'Sorry cowboy! This is not your place', 'gscourse' ) );

/**
 * Protect direct access
 */
if ( ! defined( 'ABSPATH' ) ) die( GSCOURSES_HACK_MSG );

/**
 * Defining constants
 */
if( ! defined( 'GSCOURSES_VERSION' ) ) define( 'GSCOURSES_VERSION', '2.0.2' );
if( ! defined( 'GSCOURSES_MENU_POSITION' ) ) define( 'GSCOURSES_MENU_POSITION', 43 );
if( ! defined( 'GSCOURSES_PLUGIN_DIR' ) ) define( 'GSCOURSES_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
if( ! defined( 'GSCOURSES_PLUGIN_URI' ) ) define( 'GSCOURSES_PLUGIN_URI', plugins_url( '', __FILE__ ) );
if( ! defined( 'GSCOURSES_FILES_DIR' ) ) define( 'GSCOURSES_FILES_DIR', GSCOURSES_PLUGIN_DIR . 'gs-courses-files' );
if( ! defined( 'GSCOURSES_FILES_URI' ) ) define( 'GSCOURSES_FILES_URI', GSCOURSES_PLUGIN_URI . '/gs-courses-files' );

define('GSCOURSE_PLUGIN_FILE', __FILE__ );
// $status  = get_option( 'GS_COURSE_LICENSE_STATUS' );

require_once GSCOURSES_FILES_DIR . '/includes/gs_courses_cpt.php';
// if( $status !== false && $status == 'valid' ) {
    require_once GSCOURSES_FILES_DIR . '/includes/gs_courses_meta_fields.php';
    require_once GSCOURSES_FILES_DIR . '/includes/gs-courses-repeatable-fields.php';
    require_once GSCOURSES_FILES_DIR . '/includes/gs_courses_column.php';
    require_once GSCOURSES_FILES_DIR . '/includes/gs_courses_shortcode.php';
    require_once GSCOURSES_FILES_DIR . '/includes/gs_courses_widgets.php';
    require_once GSCOURSES_FILES_DIR . '/gs_courses_scripts.php';
    require_once GSCOURSES_FILES_DIR . '/admin/class.settings-api.php';
    require_once GSCOURSES_FILES_DIR . '/admin/gs_courses_options_config.php';
// }
require_once ABSPATH . '/wp-admin/includes/template.php'; //star rating
require_once GSCOURSES_FILES_DIR . '/gs-plugins/gs-plugins.php';

// require_once GSCOURSES_FILES_DIR . '/gs-plugins/lic/gs_course_lic.php';


if ( !function_exists('gs_courses_single_template') ) {
    function gs_courses_single_template($single_course_template) {
        global $post;
        if ($post->post_type == 'gs_courses') {
          $single_course_template = GSCOURSES_FILES_DIR . '/includes/templates/single_courses.php';
        }
        return $single_course_template;
    }
    add_filter( 'single_template', 'gs_courses_single_template' );
}

if (!function_exists('gs_courses_archive_template') ) {
    function gs_courses_archive_template( $course_archive_template ) {
        global $post;
        if ( is_post_type_archive ( 'gs_courses' ) ) {
          $course_archive_template = GSCOURSES_FILES_DIR . '/includes/templates/gs_courses_archive.php';
        }
        return $course_archive_template;
    }
    add_filter( 'archive_template', 'gs_courses_archive_template' );
}

// MCE button
add_action( 'init', 'GSCOURSE_buttons' );
function GSCOURSE_buttons() {
    add_filter( "mce_external_plugins", "GSCOURSE_add_buttons" );
    add_filter( 'mce_buttons', 'GSCOURSE_register_buttons' );
}
function GSCOURSE_add_buttons( $plugin_array ) {
    $plugin_array['GSCOURSE_mce_button'] = GSCOURSES_FILES_URI . '/admin/js/gscourse-mce.js';
    return $plugin_array;
}
function GSCOURSE_register_buttons( $buttons ) {
    array_push( $buttons, 'GSCOURSE_mce_button' );
    return $buttons;
}